Changelog for LyX-240
- changed the main registry key from e.g. "SHCTX\Software\Lyx240" to "SHCTX\Software\Lyx\240"
- added a string registry value latestVersion in "SHCTX\Software\Lyx"

Changelog for LyX-23x:
- introduced windows 64 bit installer
- updated to ImageMagick 7.0.10-0 (portable)
- updated to Ghostscript 9.50
- updated to Python 2.7.17
- updated to Netpbm 10.27
- updated to rsvg-convert 2.40.20
- updated to unoconv 0.8.2
- Perl folder is no longer added to PATH if TexLive installation was detected

Changelog for LyX-230:
- installs LyX 2.3.0
- fix installation of Arabic spell checker
- updated to MiKTeX 2.9 build 6615
- updated to ImageMagick 7.0.7-25
- new thesaurus for Arabic
- updated thesaurus for Ukrainian
- updated spell checker dictionaries for Arabic, Breton and Ukrainian


Changelog for LyX-230-RC2:
- installs LyX 2.3.0 RC2
- updated to Qt 5.9.4
- updated to ImageMagick 7.0.7-22
- updated to NSIS 3.0.3


Changelog for LyX-230-RC1:
- installs LyX 2.3.0 RC1
- enable high display resolution support for the installer
- correct display of installer text for many languages 
- fix bug that the BibTeX editor Jabref and the image editor Krita
  were not detected as 64bit application
- new Russian translation of the installer messages
- updated to Qt 5.9.3
- updated to MiKTeX 2.9 build 6520
- updated to ImageMagick 7.0.7-8
- updated to Ghostscript 9.22
- updated to rsvg-convert 2.40.19
- updated thesaurus for Ukrainian
- updated spell checker dictionaries for English (GB, US) and Tibetan


Changelog for LyX-230-beta1:
- installs LyX 2.3.0 beta1
- updated to MiKTeX 2.9 build 6361
- updated to ImageMagick 7.0.6-7
- updated to Perl 5.24.2.1
- updated to NSIS 3.0.2.1
- updated thesaurus for Ukrainian
- updated spell checker dictionaries for English (GB), Portuguese, Scottish and
  Ukrainian


Changelog for LyX-230-alpha1:
- installs LyX 2.3.0 alpha1
- updated to MiKTeX 2.9 build 6236
  (fixes potential problems with the installation of LaTeX packages)
- updated to ImageMagick 7.0.5-4
- updated to JabRef 3.8.2
- updated to NSIS 3.0.1
- updated to Ghostscript 9.21


Changelog for LyX-222-4:
- fix bug that spell checker for Vietnamese was not installed
- fix bug that thesaurus for Ukrainian was not installed
- updated to MiKTeX 2.9 build 6219 (fixes problems with the update of LaTeX packages)
- updated to Python 2.7.13
- updated to ImageMagick 7.0.4-5
- updated to JabRef 3.8.1
- updated to Perl 5.22.3.1
- updated thesaurus for Ukrainian
- updated spell checker dictionaries for English (CA, GB and US) and Ukrainian
  (To benefit from them you must uninstall an already installed LyX 2.2.x and
   then use this installer.)


Changelog for LyX-222-3:
- updated to MiKTeX 2.9 build 6161
  (should fix all compilation errors you might have encountered recently
   with your LyX files)
- new spell checker for Tibetan
- correct Arabic translation of the installer (was accidentally in Farsi before)
- automatically install LaTeX package necessary for XeTeX in combinations with
  document languages like e.g. Georgian
- fix bug that thesaurus for English (AU) was not installed
- fix bug when JabRef was uninstalled together with LyX
- updated Norwegian, Swedish and Ukrainian translation of the installer
- updated to JabRef 3.7
- updated to ImageMagick 7.0.3-8
- updated spell checker dictionary for English (GB)
  (To benefit from it you must uninstall an already installed LyX 2.2.x and
   then use this installer.)


Changelog for LyX-222-2:
- updated to Qt 5.6.2-1 (fixes Windows-specific bugs)
- updated to Perl 5.22.2.1


Changelog for LyX-222-1:
- installs LyX 2.2.2
- updated to MiKTeX 2.9 build 6069
- updated to ImageMagick 7.0.3-3
- updated to JabRef 3.6
- updated to NSIS 3.0
- updated to Ghostscript 9.20
- new thesaurus for English (AU)
- updated thesaurus for Portuguese and Ukrainian
- updated spell checker dictionaries for English (CA, GB and US), Portuguese
  and Ukrainian
  (To benefit from them you must uninstall an already installed LyX 2.2.x and
   then use this installer.)


Changelog for LyX-221-2:
- fix broken LyX compilation that could not be installed on 32bit Windows


Changelog for LyX-221-1:
- installs LyX 2.2.1
- recompiled LyX using MSVC 2015 update 3
- updated to Qt 5.6.1-1
- updated to MiKTeX 2.9 build 6022
- updated to ImageMagick 6.9.5
- updated to Python 2.7.12
- updated to JabRef 3.5


Changelog for LyX-220-3:
- updated to Qt 5.6.1
- updated to MiKTeX 2.9 build 5997
- updated to JabRef 3.4
- updated to ImageMagick 6.9.4-8


Changelog for LyX-220-2:
- remove also the user dependent LyX settings from the registry if the user
  preferences should be uninstalled
- calculate the required installation size correctly
- updated to ImageMagick 6.9.4-6 (fixes 2 security issues)


Changelog for LyX.220-1:
- installs LyX 2.2.0
- updated to MiKTeX 2.9 build 5987
- updated to ImageMagick 6.9.4-4
- updated to JabRef 3.3
- new thesaurus for Norwegian (Nynorsk)
- updated thesaurus for English (US) and Norwegian (Bokmål)
- updated spell-checker dictionary for English (AU and GB), Norwegian (Bokmål and Nynorsk) and Scottish
  (To benefit from it you must uninstall an already installed LyX 2.2.0 and
   then use this installer.)


Changelog for LyX.220-RC1-1:
- installs LyX 2.2.0 RC1
- updated to Ghostscript 9.19
- updated to ImageMagick 6.9.3-8
- updated to Perl 5.22.1.3
- updated to Python 2.7.11
- updated to Qt 5.6.0
- updated thesaurus for Italian
- updated spell-checker dictionary for Italian
  (To benefit from it you must uninstall an already installed LyX 2.2.0 and
   then use this installer.)


Changelog for LyX.220-beta-2-1:
- installs lyX 2.2.0 beta2
- new support for the document converter program Pandoc (http://pandoc.org/),
  see http://wiki.lyx.org/LyX/NewInLyX22#converters
- new support to use Krita (https://krita.org/) as image editor from within LyX
- updated support to use Gimp (http://www.gimp.org/) as image editor from within LyX
- support to use JabRef 3.x as editor for BibTeX files from within LyX
- updated detection of TeXLive 2015 as LaTeX distribution for LyX
- updated thesaurus for Slovenian
- updated spell-checker dictionaries for Portuguese (PT) and English (GB and US)
- new Brazilian translation of the installer messages


Changelog for LyX-214-5:
- enable the usage of 'texindy' as index generation program in LyX
- updated to JabRef 2.11
- updated to Perl 5.22
- updated to ImageMagick 6.9.2-6


Changelog for LyX-214-4:
- fixed broken US English spell-checker.
  (To benefit from it you must uninstall an already installed LyX 2.1.x and
   then use this installer.)


Changelog for LyX-214-3:
- updated to MiKTeX 2.9 build 5721
- updated to ImageMagick 6.9.2-3
- updated spell-checker dictionaries for English (GB and US)
  (To benefit from them you must uninstall an already installed LyX 2.1.x and
   then use this installer.)


Changelog for LyX-214-2:
- fix bug that viewing/exporting of some file formats failed because of
  unknown executable for .py files
- updated to Python 2.7.10 (fixes problems that LyX got erroneous if
  Python 2.7.10 was installed before LyX)
- updated spell-checker dictionary for English (GB)
  (To benefit from it you must uninstall an already installed LyX 2.1.x and
   then use this installer.)
- updated thesaurus for Slovenian
  (you need to reinstall LyX to benefit from this)


Changelog for LyX-214-1:
- installs LyX 2.1.4
- fixes problems with viewing PDF files
  NOTE: If you use Adobe Reader as PDF viewer the view is updated by pressing
        again the view button in LyX while the update button does nothing
- new method to view/export LyX files to OpenDocument and MS Word
- updated Slovak translation of the installer
- updated to Ghostscript 9.16
- updated to Qt 4.8.7
- updated spell-checker dictionaries for Catalan, English (GB), English (US),
  Portuguese, Scottish Gaelic, Spanish, Spanish (MX) and Turkish
  (To benefit from them you must uninstall an already installed LyX 2.1.x and
   then use this installer.)
- updated thesaurus for English (US), Portuguese and Spanish
  (you need to reinstall LyX to benefit from this)


Changelog for LyX-213-1:
- installs LyX 2.1.3


Changelog for LyX-212-2:
- fix problem that some LaTeX language packages were not installed automatically
  leading to LaTeX errors when compiling LyX documents 
- new spell checker for Turkish
- updated spell-checker dictionaries for English, Norwegian(Bokmål), Portuguese
  and Scottish
  (To benefit from them you must uninstall an already installed LyX 2.1.x and
   then use this installer.)
- updated thesaurus for Slovenian
  (you need to reinstall LyX to benefit from this)
- updated to Python 2.7.9


Changelog for LyX-212-1:
- installs LyX 2.1.2


Changelog for LyX-211-2:
- updated to Python 2.7.8


Changelog for LyX-211-1:
- installs LyX 2.1.1
- updated to Ghostscript 8.14
- updated to Qt 4.8.6


Changelog for LyX-210-2:
- LyX can now also be installed over an existing installation of the same LyX version
  if the users really wants this.
- LyX can now also be installed if the uninstaller executable of a former LyX was
  accidentally deleted.
- If a user set MiKTeX's automatic package installation to "No" the installer will
  respect that and not re-enable it.


Changelog for LyX-210-1:
- installs LyX 2.1.0
- fixed a bug that MiKTeX was not found if Windows' PATH variable is very long


Changelog for LyX-208-1:
- installs LyX 2.0.8
- fixed a bug that MiKTeX was not found if Windows' PATH variable is very long


Changelog for LyX-207-4:
- downgraded to Qt 4.8.4
  (there is a bug in the newer Qt 4.8.5 that destroys some shortcuts)
- updated to JabRef 2.10


Changelog for LyX-207-3:
- fix serious bug that LyX could directly be installed to c:\programs
  the uninstaller would then delete the whole c:\programs folder
- install a stripped-down version of Perl to be able to use LyX's feature
  to have several indexes also when LyX is installed without admin privileges
- updated to Qt 4.8.5
- updated to Perl 5.18


Changelog for LyX-207-2:
- LyX can now be installed and uninstalled silently
  (administrators can start the installer with "LyX-207-Installer-2.exe /S")
- updated to Python 2.7.6
- new spell checker for Turkmen
- new thesaurus for Galician
- updated spell-checker dictionaries for Gaelic, Galician, Interlingua,
  Italian, Lower Sorbian, Portuguese (Portugal), Romanian, serbian (Latin and Cyrillic) and Ukrainian
  (To benefit from them you must uninstall an already installed LyX 2.0.x and
   then use this installer.)
- updated thesaurus for Slovenian and Ukrainian
  (need to reinstall LyX to benefit from this)


Changelog for LyX-207:
- installs LyX 2.0.7
- updated to GhostScript 9.10
- updated to MiKTeX 2.9 build 5105


Changelog for LyX-206-3:
- XeTeX support for Arabic and Farsi will now
  automatically be installed to MiKTeX
- updated spell-checker dictionary for Norwegian(Bokmål)


Changelog for LyX-206-2:
- fix bug that View/Export a file as HTML did not work.
- enable to use multiple indexes also with 64bit-MiKTeX
- updated to Python 2.7.5 


Changelog for LyX-206-1:
- installs LyX 2.0.6
- support for Vietnamese, Thai, Serbian Cyrillic and Mongolian will now
  automatically be installed to MiKTeX
- language support files for Belarusian and Hungarian are now included
- spell-checker dictionaries for Serbian(Latin) and French(Canada) are now available
  (for French(Canada) see also http://wiki.lyx.org/Windows/FrenchCanadian)
- thesaurus dictionaries for Icelandic and Ukrainian are now available
- updated to eLyXer 1.2.5
- updated spell-checker dictionaries for Belarusian, Breton, Gaelic, Interlingua,
  Italian, Korean, Latin, Latvian, Norwegian, Portuguese, Romanian, Serbian(Cyrillic),
  Slovakian and Swedish
  (To benefit from them you must uninstall an already installed LyX 2.0.x and
   then use this installer.)
- updated thesaurus for Italian, Norwegian(Bokmål), Portuguese, Romanian,
  Slovakian and Slovenian
  (need to reinstall LyX to benefit from this)
- updated to Python 2.7.4


Changelog for LyX-2051-5:
- Fix broken importing of TeX files to LyX
- If a 64bit version of MiKTeX is installed it is now recognized by LyX
- Fix broken installation of the Perl interpreter (Perl is only necessary to use
  several global indexes in a LyX document.)
- Fix bug that installation of LyX was not aborted if no LaTeX-distribution was found
  but LaTeX should be used (does not affect the bundle installer)
- updated to GhostScript 9.07
- updated to MiKTeX 2.9 build 4813


Changelog for LyX-2051-4:
- If LyX is installed together with MiKTeX (bundle installer) the installation of
  LaTeX-packages required by LyX takes now much less time and you get a visual feedback
  about the installation process. 


Changelog for LyX-2051-3:
- fix bug that MiKTeX was not correctly configured on some 64bit versions of Windows
- don't overwrite the MiKTeX package repository from where missing packages will be installed
- updated to JabRef 2.9.2
- updated to MiKTeX 2.9 build 4757


Changelog for LyX-2051-2:
- fix bug that an installed MiKTeX was not found on Windows 7 and 8 with 64 bit
- adapt the source package to make it easier to compile the installer;
  added a Readme file describing how to compile


Changelog for LyX-2051-1:
Nothing changed except of LyX.


Changelog for LyX-205-5:
Bugfixes:
- fix bug that installer stopped working if LyX was installed
  the first time on a computer
- fix failing installation of Slovakian spellcheck dictionary
- prevent case that the installer could run an infinite loop if the
  installation of dictionaries was interrupted
- added missing files to the installer source zip-file so that it can now really be
  used to compile the installer
- updated to Qt 4.8.4 (Fixes a problem that with some screen font zooms, lines and dots disappeared.)

New features:
- give feedback about the state of the package installation
  (Especially if LyX is installed the first time, the package installation can take several minutes.
   Now the installer prints in the progress window the name of the package that is currently installed.)
- the installer supports now the usage of TeXLive as LaTeX distribution.
  (TeXLive must be manually installed before LyX.) 
- updated spell-checker dictionaries for Scottish and Swedish
  (To benefit from them you must uninstall an already installed LyX 2.0.x and
   then use this installer.)
- updated thesaurus for Slovenian
  (need to reinstall LyX to benefit from this)
- updated Hungarian, Indonesian and Swedish translation of the installer messages
- new Basque translation of the installer messages


Changelog for LyX-205-4:
- support to update the view as PDF if Adobe Reader XI is used
- fix long standing bug that updating a PDF view failed for larger
  LyX documents if Adobe Reader or Acrobat was used as PDF viewer
- fixed bug that viewing PDF files could fail if Acrobat or Adobe Reader was
  not the default PDF viewer of the system while LyX was installed, but
  became later the default PDF viewer
- fixed bug that EPS and PDF images were not displayed if LyX was installed this time without
  admin privileges but an older LyX version was once installed with admin privileges
- correct the required disk space for the German thesaurus dictionaries
- updated Japanese, Norwegian, Polish, Slovak and Ukrainian translation of the installer messages


Changelog for LyX-205-3:
- fixed infinite loop when starting the installer and not having Ghostscript previously installed (LyX bug #8417)
- updated to JabRef 2.8.1
- updated French and Spanish translation of the installer messages
- removed support for old installations of MiKTeX version 2.7 and older


Changelog for LyX-205-2:
- the installer detects now existing spell-checker and thesaurus dictionaries
  of existing LyX installations
- fixed un/installation of Jabref if bundle installer is executed without having admin privileges
- fixed uninstallation of Metafile2EPS printer
- fixed detection for already installed Ghostscript and GSview on 64bit Windows
- fixed detection for jEdit, Vim, WinEdt and TeXnicCenter as LaTeX source file editor
- fixed detection of Gimp and Photoshop as image manipulating program
- updated spell-checker dictionaries for German and Belorussian
  (To benefit from them you must uninstall an already installed LyX 2.0.x and
   then use this installer.)
- updated thesaurus for German
  (need to reinstall LyX to benefit from this)
- bugfix: remove registry entries of existing LyX version when installing over it
- don't allow to install an older LyX version over an existing newer one


Changelog for LyX-205-1:
- installs LyX 2.0.5
- updated to Python 2.7.3
- updated to ImageMagick 6.8.0-4
- updated to Ghostscript 9.06


Changelog for LyX-204-3:
- renamed the proposed LyX installation folder to "LyX 2.0" instead of the former "LyX 2.0.4"
  (reason: it should be default be possible to override existing older version of the LyX 2.0.x series)
- link the LyX Wiki and website in LyX's start menu folder


Changelog for LyX-204-2:
- Prevent that LyX can first be installed with admin privileges and afterwards without them
- In the uninstaller it is now the default not to uninstall the user preferences and settings
- Fix the path in which the LyX start menu shortcut is executed
- Also if LyX is installed without admin privileges, the .lyx file associations are set
- Fix a typo in English translation


Changelog for LyX-204-1:
- It is now possible to install LyX also without administrator privileges.
  (Note that the support for the image file formats WMF and EMF can only be installed if LyX is installed with administrator privileges.)
- Added support for multiple indexes in LyX documents
- Support to install spell checker and thesaurus dictionaries for all languages supported by LyX.
